#! /bin/sh
#----------------------------------------------------------------------------
# /tmp/install.sh - fcron installation
#
# Creation   :  2011-04-26 holbru
# Last update:  $Id: postinstall-fcron.sh 41373 2016-05-06 20:08:05Z hbfl $
#
# Copyright (c) 2011-2016 Holger Bruenjes, holgerbruenjes(at)gmx(dot)net
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#----------------------------------------------------------------------------

# set package name
package_name=fcron

# ---------------------------------------------------------------------------
# update-2.3.7
# ---------------------------------------------------------------------------
update_2_3_7()
{

cd /usr/bin/
chown fcron.fcron {fcrondyn,fcrontab}
rm -f crontab
ln -sf fcrontab crontab
chmod 6111 {fcrondyn,fcrontab}
chown root.fcron fcronsighup
chmod 4110 fcronsighup

chown root.fcron /etc/fcron.conf
chmod 0640 /etc/fcron.conf

. /etc/config.d/cron

if [ "${START_CRON}" = "yes" ]
then
    /etc/init.d/cron start
fi
}

# ---------------------------------------------------------------------------
# update-2.7.3
# ---------------------------------------------------------------------------
update_2_7_3()
{
    cd /usr/bin/
    chown fcron.fcron {fcrondyn,fcrontab}
    rm -f crontab
    ln -sf fcrontab crontab
    chmod 6111 {fcrondyn,fcrontab}
    chown root.fcron fcronsighup
    chmod 4110 fcronsighup

    chown root.fcron /etc/fcron.conf
    chmod 0640 /etc/fcron.conf

    /var/install/config.d/cron-update.sh

    /var/install/config.d/cron.sh --quiet

    . /etc/config.d/cron

    if [ "${START_CRON}" = "yes" ]
    then
        /etc/init.d/cron start
    fi
}

# ---------------------------------------------------------------------------
# main
# ---------------------------------------------------------------------------

base_version=$(sed -e 's/[svn|cvs].*$//; s/\./_/g' /etc/version)

update_${base_version}

# remove filelist
rm -f /etc/filelist.d/${package_name}-files.txt



exit 0
# ---------------------------------------------------------------------------
# end
# ---------------------------------------------------------------------------
