#! /bin/sh
#----------------------------------------------------------------------------
# /tmp/preinstall.sh - fcron preinstallation
#
# Creation   :  2011-04-26 holbru
# Last update:  $Id: preinstall-fcron.sh 41373 2016-05-06 20:08:05Z hbfl $
#
# Copyright (c) 2011-2016 Holger Bruenjes, holgerbruenjes(at)gmx(dot)net
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#----------------------------------------------------------------------------

# set package name
package_name=fcron

# ---------------------------------------------------------------------------
# update-2.3.7
# ---------------------------------------------------------------------------
update_2_3_7()
{

. /etc/config.d/cron

if [ "${START_CRON}" = "yes" ]
then
    /etc/init.d/cron stop
fi


rm -f /usr/bin/fcrondyn
rm -f /usr/bin/fcrontab
rm -f /usr/bin/fcronsighup
rm -f /usr/sbin/fcron
}

# ---------------------------------------------------------------------------
# update-2.7.3
# ---------------------------------------------------------------------------
update_2_7_3()
{
    . /etc/config.d/cron

    if [ "${START_CRON}" = "yes" ]
    then
        /etc/init.d/cron stop
    fi

    rm -f /usr/bin/fcrondyn
    rm -f /usr/bin/fcrontab
    rm -f /usr/bin/fcronsighup
    rm -f /usr/sbin/fcron
}

# ---------------------------------------------------------------------------
# main
# ---------------------------------------------------------------------------

base_version=$(sed -e 's/[svn|cvs].*$//; s/\./_/g' /etc/version)

update_${base_version}

# remove filelist
rm -f /etc/filelist.d/${package_name}-files.txt


exit 0
# ---------------------------------------------------------------------------
# end
# ---------------------------------------------------------------------------
